13 July 2016

Clippings 5.1 release candidate 1 released!

This is a release candidate of an upcoming minor release of Clippings 5, intended for early adopters craving the latest and greatest.  Barring any last-minute showstopper bugs, this may become the official release of Clippings 5.1.

Because this is not an official release, like the preceding beta releases, Clippings 5.1rc1 will not be available as an automatic upgrade.

What's New in Clippings 5.1
  • Compatible with multi-process browser tabs in Firefox (sometimes referred to as Electrolysis or e10s)
  • Other minor fixes

Things You Should Know About
  • Clippings 5.1 requires Firefox 45 or newer, and Thunderbird 45 or newer.  If you have an older version of either application, you must upgrade it first, or stick with Clippings 5.0.2.
  • Due to technical limitations imposed by Electrolysis, the option to avoid blocking the browser tabs in Firefox when being prompted to enter a value for a placeholder is unavailable, and is automatically turned off, if multi-process browser tabs is turned on.

Supported Languages

Clippings 5.1 is available in English (United States), French, Finnish, German, Italian and Slovenian.

Unfortunately, due to the lack of availability of translators, many of the languages that Clippings was previously available in are unavailable for version 5.  If you are fluent in English and another world language and would like to help update the translations for Clippings, consider joining Babelzilla and signing up for your language team.

How to Get It

Head over to the Clippings page on the Mozilla Add-ons website.  Scroll down the page and expand Development Channel.  Click on the yellow "Add to Firefox" button to install.

Help and Support

Send your questions and comments to the AE Creations forums.  If you wish to report a bug, you may do so in GitHub; you will need a GitHub account if you don't have one already.

No comments: